/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\Jormundgand\Mobiles\Regular\Seanid.cs
Lines of code: 77
***********************************************************/


using System;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a seanid corpse" )]
	public class Seanid : BaseCreature
	{
		[Constructable]
		public Seanid() : base( AIType.AI_Super, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a seanid";
			Body = 20;
			BaseSoundID = 0x388;
			Hue = 88;

			SetStr( 196, 220 );
			SetDex( 600, 700 );
			SetInt( 286, 310 );

			SetHits( 218, 232 );

			SetDamage( 17, 22 );

			SetDamageType( ResistanceType.Physical, 50 );
			SetDamageType( ResistanceType.Poison, 50 );

			SetResistance( ResistanceType.Physical, 40, 50 );
			SetResistance( ResistanceType.Fire, 50, 60 );
			SetResistance( ResistanceType.Cold, 40, 50 );
			SetResistance( ResistanceType.Poison, 90, 100 );
			SetResistance( ResistanceType.Energy, 20, 30 );

			SetSkill( SkillName.Focus, 100.1, 110.0 );
			SetSkill( SkillName.Healing, 70.1, 80.0 );
			SetSkill( SkillName.Anatomy, 70.1, 80.0 );
			SetSkill( SkillName.MagicResist, 45.1, 60.0 );
			SetSkill( SkillName.Tactics, 100.0);
			SetSkill( SkillName.Wrestling, 80, 100 );

			Fame = 7000;
			Karma = -7000;

			VirtualArmor = 36;

			PackItem( new SpidersSilk( 8 ) );
		}
		
		public override void OnDeath( Container c )
		{
			if ( Utility.Random( 30 ) == 0 )
			{		
				Item item;

				switch ( Utility.Random( 1 ))
				{
								default:
					case 1: item = new MinionKey(); break;
							}

				c.DropItem( item );
			}

			base.OnDeath( c );
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Meager );
			AddLoot( LootPack.FilthyRich, 1 );
		}

		public override FoodType FavoriteFood{ get{ return FoodType.Meat; } }
		public override PackInstinct PackInstinct{ get{ return PackInstinct.Arachnid; } }
		public override Poison PoisonImmune{ get{ return Poison.Lethal; } }
		public override Poison HitPoison{ get{ return Poison.Lethal; } }
		public override double HitPoisonChance{ get{ return 0.2; } }
		public override bool IsMLCreature { get { return true;} } 

		public Seanid( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}